print.xgb.cv.synchronous {xgboost} | R Documentation

## Print xgb.cv result

### Description

Prints formatted results of `xgb.cv`.

### Usage

    ## S3 method for class 'xgb.cv.synchronous'
    print(x, verbose = FALSE, ...)

### Arguments

`x` | an `xgb.cv.synchronous` object
`verbose` | whether to print detailed data
`...` | passed to `data.table.print`

### Details

When not verbose, it would only print the evaluation results, including the best iteration (when available).

### Examples

    data(agaricus.train, package='xgboost')
    train <- agaricus.train
    cv <- xgb.cv(data = train$data, label = train$label, nfold = 5, max_depth = 2,
                   eta = 1, nthread = 2, nrounds = 2, objective = "binary:logistic")
    print(cv)
    print(cv, verbose=TRUE)

[Package xgboost version 0.90.0.2 Index]